List project timeslots
GET
/api/projects/{projectid}/timeslots
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/timeslots?timeslottype=Timeslot"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/timeslots?timeslottype=Timeslot';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/timeslots?timeslottype=Timeslot' \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectid
required
string format: uuid
The project identifier.
Query Parameters
Section titled “Query Parameters”timeslottype
The optional timeslot type.
Responses
Section titled “Responses”OK
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
timeslotType
publish
boolean
start
null | string format: date-time
startTime
null | string
hasStartTime
boolean
end
null | string format: date-time
endTime
null | string
hasEndTime
boolean
startUtc
null | string format: date-time
endUtc
null | string format: date-time
timezone
null | string
startTimezone
null | string
endTimezone
null | string
isAllDay
boolean
isRecurring
boolean
recurrencePattern
null | string
intervalSeconds
null | integer | string format: int32
useForAllEventTypes
boolean
tags
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
dti
object
start
null | string format: date-time
end
null | string format: date-time
isUtc
boolean
hasStartTime
boolean
hasEndTime
boolean
formattedStartTime
null | string
formattedEndTime
null | string
formattedTime
null | string
friendlyTimespan
null | string
formattedDay
null | string
formattedDayCompact
null | string
formattedDateTime
null | string
friendlyDate
null | string
timezone
object
id
null | string
hasIanaId
boolean
displayName
null | string
standardName
null | string
daylightName
null | string
baseUtcOffset
string
supportsDaylightSavingTime
boolean
timezoneId
null | string
days
Array<object> | null
object
formattedDay
null | string
formattedDateTime
null | string
friendlyDate
null | string
sort
null | string
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
timeslotType
publish
boolean
start
null | string format: date-time
startTime
null | string
hasStartTime
boolean
end
null | string format: date-time
endTime
null | string
hasEndTime
boolean
startUtc
null | string format: date-time
endUtc
null | string format: date-time
timezone
null | string
startTimezone
null | string
endTimezone
null | string
isAllDay
boolean
isRecurring
boolean
recurrencePattern
null | string
intervalSeconds
null | integer | string format: int32
useForAllEventTypes
boolean
tags
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
dti
object
start
null | string format: date-time
end
null | string format: date-time
isUtc
boolean
hasStartTime
boolean
hasEndTime
boolean
formattedStartTime
null | string
formattedEndTime
null | string
formattedTime
null | string
friendlyTimespan
null | string
formattedDay
null | string
formattedDayCompact
null | string
formattedDateTime
null | string
friendlyDate
null | string
timezone
object
id
null | string
hasIanaId
boolean
displayName
null | string
standardName
null | string
daylightName
null | string
baseUtcOffset
string
supportsDaylightSavingTime
boolean
timezoneId
null | string
days
Array<object> | null
object
formattedDay
null | string
formattedDateTime
null | string
friendlyDate
null | string
sort
null | string
Example
{ "data": [ { "timeslotType": "Timeslot" } ], "sortDir": "Asc", "request": { "sortDir": "Asc" }}object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
timeslotType
publish
boolean
start
null | string format: date-time
startTime
null | string
hasStartTime
boolean
end
null | string format: date-time
endTime
null | string
hasEndTime
boolean
startUtc
null | string format: date-time
endUtc
null | string format: date-time
timezone
null | string
startTimezone
null | string
endTimezone
null | string
isAllDay
boolean
isRecurring
boolean
recurrencePattern
null | string
intervalSeconds
null | integer | string format: int32
useForAllEventTypes
boolean
tags
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
dti
object
start
null | string format: date-time
end
null | string format: date-time
isUtc
boolean
hasStartTime
boolean
hasEndTime
boolean
formattedStartTime
null | string
formattedEndTime
null | string
formattedTime
null | string
friendlyTimespan
null | string
formattedDay
null | string
formattedDayCompact
null | string
formattedDateTime
null | string
friendlyDate
null | string
timezone
object
id
null | string
hasIanaId
boolean
displayName
null | string
standardName
null | string
daylightName
null | string
baseUtcOffset
string
supportsDaylightSavingTime
boolean
timezoneId
null | string
days
Array<object> | null
object
formattedDay
null | string
formattedDateTime
null | string
friendlyDate
null | string
sort
null | string
Example
{ "data": [ { "timeslotType": "Timeslot" } ], "sortDir": "Asc", "request": { "sortDir": "Asc" }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}